<?php

    $mydb = new DB_MySQL('zeltlager','zeltlager','Z3ltlager3363','localhost');
   
    $mydb->query("SELECT * FROM `VerwaltungLagerplatz` ORDER BY `VerwaltungLagerplatz`.`jahr` DESC LIMIT 1");
    $row = $mydb->fetchRow();
    $aktuellesjahr = $row['jahr'];
    $lagerende = $row['ende'];
    $lagerbeginn = $row['beginn'];
    
    if (isset($_POST["submit"])) 
    {
        //echo "Daten wurden gesendet";
        //Submit-Handle
        foreach($_POST['juid'] as $index => $uid) 
        {
        
         $juid = $_POST['juid'][$index];
         $bemerkung = $_POST['bemerkung'][$index];
        
         if ($_POST['ausgestellt'][$index])
         {
            $ausgestellt = date('Y-m-d', strtotime($_POST['ausgestellt'][$index]));
         }
         else
         {
           $ausgestellt = "0000-00-00";  
         }
         
         if ($_POST['vorgelegt'][$index])
         {
            $vorgelegt = date('Y-m-d', strtotime($_POST['vorgelegt'][$index]));
         }
         else
         {
           $vorgelegt = "0000-00-00";  
         }
         
         if ($_POST['gueltigbis'][$index])
         {
            $gueltigbis = date('Y-m-d', strtotime($_POST['gueltigbis'][$index]));
         }
         else
         {
           $gueltigbis = "0000-00-00";  
         }
         
         $mydb->query("INSERT INTO TeilnehmerJugendschutz (juid,ausgestellt,vorgelegt,gueltigbis,bemerkung) VALUES ('$juid','$ausgestellt','$vorgelegt','$gueltigbis', '$bemerkung') ON DUPLICATE KEY UPDATE ausgestellt = '$ausgestellt', vorgelegt = '$vorgelegt', gueltigbis = '$gueltigbis', bemerkung ='$bemerkung' ");

        }
    }
      
    

    $sql = "SELECT  a.uid,  a.nachname, a.vorname, s.step,p.geburtstag, t.juid, x.ausgestellt, x.vorgelegt, x.gueltigbis,x.id as idjugendschutz, x.bemerkung, v.gruppe  FROM AnmeldungAdressen a LEFT JOIN AnmeldungStatus s ON a.uid = s.uid LEFT JOIN AnmeldungPerson p ON p.uid = a.uid LEFT JOIN JubilaeumTeilnahme t ON t.anmeldung_uid = a.uid LEFT JOIN JubilaeumStammdaten j ON t.juid = j.juid LEFT JOIN AnmeldungVerwaltung as v ON s.uid = v.uid LEFT JOIN TeilnehmerJugendschutz x ON x.juid =  j.juid WHERE s.step >= 11 AND s.bestaetigt = 1 AND t.juid > 0 UNION ALL SELECT a.uid,  a.nachname, a.vorname, s.step,p.geburtstag, t.juid, x.ausgestellt, x.vorgelegt, x.gueltigbis,x.id as idjugendschutz, x.bemerkung, v.gruppe  FROM AnmeldungAdressen a LEFT JOIN AnmeldungStatus s ON a.uid = s.uid LEFT JOIN AnmeldungPerson p ON p.uid = a.uid LEFT JOIN JubilaeumGaeste t ON t.anmeldung_uid = a.uid LEFT JOIN JubilaeumStammdaten j ON t.juid = j.juid LEFT JOIN AnmeldungVerwaltung as v ON s.uid = v.uid LEFT JOIN TeilnehmerJugendschutz x ON x.juid =  j.juid WHERE s.step >= 11 AND s.bestaetigt = 1 AND t.juid > 0 ORDER BY nachname COLLATE latin1_german2_ci, vorname COLLATE latin1_german2_ci";
    $mydb->query($sql);
   
    echo "<form action=\"index.php?pageId=10\" method=\"post\">";
     echo "<br><p align=center><input type=\"submit\" name=\"submit\" value=\"Änderungen übernehmen\" class=\"btn btn-outline btn-primary btn-lg btn-block\"></p>";
     
    echo "<div class=\"row\"><div class=\"panel panel-default\"><div class=\"table-responsive\"><table class=\"table table-striped table-hover\" id=\"dataTables-show\">\n";
    echo "<thead><tr><th>Nachname</th><th>Vorname</th><th>Alter</th><th>Führungszeugnis</th><th>ausgestellt</th></th><th>vorgelegt</th><th>gültig bis</th><th>Bemerkung</th></thead><tbody>";
    
    
    while ($row = $mydb->fetchRow())
    {  
       echo "<tr bgcolor=\"#ffffff\"><td>". $row['nachname'] ."</td><td>". $row['vorname']."</td>";
       
       $gueltigDatum = $row['gueltigbis'];
	
	   $geburtstag = new DateTime(date($row['geburtstag']));
	   $ende = new DateTime(date( $lagerende));
	   $differenz = $geburtstag->diff($ende);
	   $alter = $differenz->format('%y');
	   
	   $dateTimestampBeginn = strtotime($lagerbeginn);
	   $dateTimestampGueltig = strtotime($gueltigDatum);
	   
	   echo "<td>$alter</td>";
            
        if ( ($alter > 15) && ($row['gruppe'] >= 3) )
        {
            if(($row['idjugendschutz']) && ($row['gueltigbis'] != "0000-00-00"))
            {
		        if($dateTimestampBeginn < $dateTimestampGueltig) 
		        {
		        echo "<td><img src=\"../images/green-button.png\" height=\"20\" title=\"Alter am Lagerende ". $alter ." \"></td>";
		        }
		        else
		        {
		         echo "<td><img src=\"../images/yellow-button.png\" height=\"20\" title=\"Alter am Lagerende ". $alter ." \"></td>";
		        }
            }
            else
            {
                echo "<td><img src=\"../images/red-button.png\" height=\"20\" title=\"Alter am Lagerende ". $alter ." \"></td>";
            }
        }
        else
        {
            echo "<td> - </td>";
        }

        if ($row['ausgestellt'] && $row['ausgestellt'] != "0000-00-00")
        {
           $value =  date("d.m.Y", strtotime($row['ausgestellt']));
        }
        else
        {
           $value = "";
        }
        echo "<td><input type=\"text\" name=\"ausgestellt[]\" value=\"$value\" size=\"10\" maxlength=\"10\"></td>";

        if ($row['vorgelegt'] && $row['vorgelegt'] != "0000-00-00")
        {
           $value =  date("d.m.Y", strtotime($row['vorgelegt']));
        }
        else
        {
           $value = "";
        }
        echo "<td><input type=\"text\" name=\"vorgelegt[]\" value=\"$value\" size=\"10\" maxlength=\"10\"></td>";
       
        if ($row['gueltigbis'] && $row['gueltigbis'] != "0000-00-00")
        {
            $value =  date("d.m.Y", strtotime($row['gueltigbis']));
        }
        else
        {
           $value = "";
        }
        echo "<td><input type=\"text\" name=\"gueltigbis[]\" value=\"$value\" size=\"10\" maxlength=\"10\"></td>";
        
        echo "<td><input type=\"text\" name=\"bemerkung[]\" value=\"".$row['bemerkung']."\" size=\"30\" maxlength=\"40\"></td>";
       
        echo "<input type=\"hidden\" name=\"juid[]\" value=\"". $row['juid'] ."\" >";
        
        echo "</tr>\n";
    }     

    echo "</tbody></table></div></div></div>";
    echo "<br><p align=center><input type=\"submit\" name=\"submit\" value=\"Änderungen übernehmen\" class=\"btn btn-outline btn-primary btn-lg btn-block\"></p>";
    echo "</form>";
    
    $mydb->disconnect();

?>